import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { JsonNullValueInputSchema } from '../enums/JsonNullValueInput.schema'

import { JsonValueSchema as jsonSchema } from '../../helpers/json-helpers';

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  data: z.union([JsonNullValueInputSchema, jsonSchema])
}).strict();
export const OfficeHoursUncheckedCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.OfficeHoursUncheckedCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.OfficeHoursUncheckedCreateWithoutUserInput>;
export const OfficeHoursUncheckedCreateWithoutUserInputObjectZodSchema = makeSchema();
